Subject: CCL: Re: aligning structures via vector products - any good methods?

From: Michel Petitjean <ptitjean/at/itodys.jussieu.fr>
Date: Wed, 29 Sep 2004 11:18:59 +0200 (MEST)

To: chemistry/at/ccl.net
Subj: CCL: Re: aligning structures via vector products - any good methods?

What is m_i ? I assume that each quantity m_i (r_1i) is read
as a modified (r_1i). I assume also that the translation is fixed.
This is a constrained minimization problem: The unknown is the unit
quaternion minimizing the squared 2-norm of: \sum_i m_i (r_1i x r_2i).
The existence and unicity of the solution(s) have to be examined.
I do not exclude that there is an analytic solution, as for the
sum of squares method. Here the quaternionic solution is the simplest.
See: http://petitjeanmichel.free.fr/itoweb.petitjean.shape.html
(and references herein) and the associated freewares ARMS and CSR:
http://petitjeanmichel.free.fr/itoweb.petitjean.freeware.html.

Michel Petitjean,                     Email: petitjean/at/itodys.jussieu.fr
ITODYS (CNRS, UMR 7086)                      ptitjean/at/ccr.jussieu.fr
1 rue Guy de la Brosse                Phone: +33 (0)1 44 27 48 57
75005 Paris, France.                  FAX  : +33 (0)1 44 27 68 14
http://petitjeanmichel.free.fr/itoweb.petitjean.html

Konstantin Kudin <konstantin_kudin/at/yahoo.com> wrote:
> Hi there,
>
 >I would like to align 2 structures via rotating one of them such that
> the sum of vector products between them is 0. More specifically:
>
>\sum_i m_i (r_1i x r_2i) = 0
>
 >Does anyone know of a good method that does that?
>
> Thanks!
> Kostya
>
>P.S. 
>
>One can also align things via list squares fit by minimizing
>{\sum_i m_i |r_1i - r_2i|^2}, but this is not what I need. The
>reference for this method is:
>S. K.Kearsley, Acta Cryst.  A45, 208 (1989).
>http://www.ccl.net/cca/software/SOURCES/FORTRAN/fitest/index.shtml